package com.group.robot.matcher.majiang;

import java.util.Arrays;
import java.util.List;

import com.group.robot.RobotManager;
import com.group.robot.matcher.GameRoomMatcher;

/**
 * 红中麻将房间匹配器 - 专门处理红中麻将游戏的房间匹配
 */
public class HZMJRoomMatcher extends GameRoomMatcher {
    
    public HZMJRoomMatcher(RobotManager robotManager) {
        super(robotManager);
    }
    @Override
    public List<Integer> getSupportedWanfaIds() {
        return Arrays.asList(22); //红中麻将
    }
}